import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/preddythandra/85b9071309e332dae7269fe1bdba17f3/raw/2c384275f8e8f62fe259165c8d1ba682fd25b16d/irisdatasetpoooja.csv', // File name
].join('');
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100)
  );
};
main();
